質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.61%

  • Ruby

    7352questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7009questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

あるディレクトリだけrails sをした際にエラーが出る。

解決済

回答 2

投稿 ・編集

  • 評価
  • クリップ 0
  • VIEW 804

K_T_T_K

score 304

Mac book Airのローカルにruby2.1.2とRails4.1.8がインストールされています。
productというディレクトリに、今まで作ったRailsアプリケーションがあります。
そこで新しく、railsというディレクトリを作りました。
railsディレクトリに、rails new アプリ名で作成し、
コントローラファイルなどをrails gで作りました。
その後、app/routes.rbを編集しました。
編集した全てのファイルは構文チェック済みです。
rails sとしたところ、次のようなエラーがでました。

=> Booting WEBrick
=> Rails 4.1.8 application starting in development on http://0.0.0.0:3000
=> Run `rails server -h` for more startup options
=> Notice: server is listening on all interfaces (0.0.0.0). Consider using 127.0.0.1 (--binding option)
=> Ctrl-C to shutdown server
Exiting
/Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/racc/parser.rb:529:in `on_error':  (Racc::ParseError)
parse error on value "$" ($end)
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/racc/parser.rb:258:in `_racc_do_parse_c'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/racc/parser.rb:258:in `do_parse'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/journey/parser_extras.rb:15:in `parse'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/journey/path/pattern.rb:18:in `initialize'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:284:in `new'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:284:in `path_pattern'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:280:in `segment_keys'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:241:in `default_controller_and_action'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:117:in `normalize_options!'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:65:in `initialize'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1493:in `new'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1493:in `add_route'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1472:in `decomposed_match'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1453:in `block in match'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1443:in `each'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/mapper.rb:1443:in `match'
  from /Users/K_T_T_K/rails/railbook/config/routes.rb:2:in `block in <top (required)>'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/route_set.rb:337:in `instance_exec'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/route_set.rb:337:in `eval_block'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/actionpack-4.1.8/lib/action_dispatch/routing/route_set.rb:315:in `draw'
  from /Users/K_T_T_K/rails/railbook/config/routes.rb:1:in `<top (required)>'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:241:in `load'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:241:in `block in load'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:232:in `load_dependency'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:241:in `load'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:40:in `block in load_paths'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:40:in `each'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:40:in `load_paths'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:16:in `reload!'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:26:in `block in updater'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/file_update_checker.rb:75:in `call'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/file_update_checker.rb:75:in `execute'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:27:in `updater'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/routes_reloader.rb:7:in `execute_if_updated'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/application/finisher.rb:71:in `block in <module:Finisher>'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/initializable.rb:30:in `instance_exec'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/initializable.rb:30:in `run'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/railties-4.1.8/lib/rails/initializable.rb:55:in `block in run_initializers'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:226:in `block in tsort_each'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:348:in `block (2 levels) in each_strongly_connected_component'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:427:in `each_strongly_connected_component_from'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:347:in `block in each_strongly_connected_component'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:345:in `each'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:345:in `call'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:345:in `each_strongly_connected_component'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:224:in `tsort_each'
  from /Users/K_T_T_K/.rbenv/versions/2.1.2/lib/ruby/2.1.0/tsort.rb:205:in `tsort_each'
※エラー文が1000文字を超えるため後半省略しました。
原因わかりますでしょうか?
ちなみに、productの方は動作しました。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

check解決した方法

0

今まで通り、productディレクトリで作業を行う事にしました。
新しく、productディレクトリ配下にアプリを作成し、rails sは無事に動作しました。
なぜ、railsディレクトリ配下に作ったアプリは動作しないのか未だに解決していませんが、この質問はと

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

ログを見る限り、racc での処理部分でエラーが出ているようです
(詳しくはわかりませんが、Ruby のプログラムコードを生成する構文パーサのようですね)

たとえば 下記のような構文チェッカなどで、機械的に検査されましたでしょうか

ruby の構文チェック - Qiita
rails-erb-lint - GitHub


探してみると、ほかにも エディタの拡張機能としての構文チェッカなど、その場でエラーを教えてくれるツールなどが見つかるかもしれません

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/26 23:27

    回答ありがとうございます。
    構文は2つ目のリンク先に書いてある通りに、
    ruby -cw ファイル名で行いました。
    全てOKでした。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

  • 解決済

    http://localhost:3000/ が開けません。

    前提・実現したいこと Ruby on rails を用いて新しくアプリを作成するため、 「http://localhost:3000/」 を開こうとしたところ、 下記のエラー

  • 解決済

    このエラーの治し方がわかりません

    プログラミング初心者です。 twitterみたいなアプリを作っていて 一つの投稿(tweet)に対し コメントが書き込めるようにフォームを作るところまでできたのですが、

  • 解決済

    railsのgemで導入したJQueryプラグインファイルについて

    いつも皆さんにはお世話になっています。 この度、gemでFullcalendarというJQueryで作成しているカレンダーを導入したのですが、少しカスタマイズを加えたいと思い

  • 解決済

    rails integration test の assert_template でFailする場合...

    前提・実現したいこと rails初心者です。 rails4.2.2でrailsアプリを作っています。 こちらのサイトを参考にしていますがログイン周りは独自の修正を入れています

  • 解決済

    $bundle install ができない

    $bundle install をするとこのようなエラーが出ます。 Errno::EACCES: Permission denied @ rb_sysopen - /Users

  • 受付中

    rails s で起動しません

    前提・実現したいこと rails s でエラーメッセージが出ます 発生している問題・エラーメッセージ => Booting WEBrick => Rails 4.2.7

  • 解決済

    Railsのコントローラーのテストでのエラー

    Railsアプリケーションプログラミングを学習しながら作っていますが、コントローラーのテストを実行使用としたらエラーが出て解決出来ずに困っております。実行したコードは下記になります

  • 受付中

    rails appのbundleがインストールできない

    bundle install Fetching gem metadata from https://rubygems.org/......... Fetching version

同じタグがついた質問を見る

  • Ruby

    7352questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7009questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。